Bug 467867 - RFE: add code snippet to gpg encode/sign outgoing mails automatically
RFE: add code snippet to gpg encode/sign outgoing mails automatically
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: exim (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Extras Quality Assurance
FutureFeature
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-21 08:37 EDT by Till Maas
Modified: 2017-08-02 16:06 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-02 16:06:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2008-10-21 08:37:39 EDT
Description of problem:
Currently I use simple wrapper scripts that gpg encode and sign data before mails are sent from one system to my mail account and I pipe all mail for root through gpg with a .forward file before it is sent to me. It would be nice if this could be easily and reliably done with one program instead of writing individual mail scripts.. I would like to configure e.g. default keys or map users to gpg keys and configure whether to keep the subject or add a new one. Also whether the whole mail is forwarded using mime or only the body would be helpful.
Comment 1 David Woodhouse 2008-10-21 08:56:25 EDT
Not entirely convinced that such data-mangling really lives in the MTA. What _would_ be appropriate, however, would be something like DKIM. Last time I tried to get that to work, I failed -- but it would be good to have.
Comment 2 Bug Zapper 2008-11-26 06:15:14 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Till Maas 2008-12-08 02:33:42 EST
(In reply to comment #1)
> Not entirely convinced that such data-mangling really lives in the MTA. What
> _would_ be appropriate, however, would be something like DKIM. Last time I
> tried to get that to work, I failed -- but it would be good to have.

Do you have a better idea, where/how to implement this? I really need this feature, but I am not a mailserver expert. :-)
Comment 4 David Woodhouse 2008-12-08 03:25:52 EST
You _could_ do it in Exim, I'm just not convinced it's generic enough that we'd want to ship it. Alternatively, if you just want to catch locally-generated mail for root, perhaps you could replace /usr/sbin/sendmail with a script, which does the signing then invokes /usr/sbin/exim ?
Comment 5 Till Maas 2008-12-08 05:19:45 EST
(In reply to comment #4)
> You _could_ do it in Exim, I'm just not convinced it's generic enough that we'd
> want to ship it. Alternatively, if you just want to catch locally-generated
> mail for root, perhaps you could replace /usr/sbin/sendmail with a script,
> which does the signing then invokes /usr/sbin/exim ?

For only locally generated mail for root, I just use an extra user, were the encryption is done by filtering through a .forward file. But I would like this to have this for every locally generated mail or mail that is delivered to a local user and then forwarded, e.g. for mails from web applications, that run on the same host.
Comment 6 Till Maas 2017-08-02 16:06:33 EDT
(In reply to David Woodhouse from comment #4)
> You _could_ do it in Exim, I'm just not convinced it's generic enough that
> we'd want to ship it. Alternatively, if you just want to catch
> locally-generated mail for root, perhaps you could replace
> /usr/sbin/sendmail with a script, which does the signing then invokes
> /usr/sbin/exim ?

I implemented this, therefore I do not need this in exim anymore. The source code of my solution is at:
https://github.com/tyll/encryptmail

Note You need to log in before you can comment on or make changes to this bug.